build/runtime versions

Previous Topic Next Topic
 
classic Classic list List threaded Threaded
1 message Options
Reply | Threaded
Open this post in threaded view
|

build/runtime versions

ocs@ocs.cz
Hi there,

I have just found one of my clients might be using at his deployment site a different Groovy version than the one used to build the application — probably the worst case was a pretty old runtime version 2.3.8 for an app built with 2.4.17 (seems it runs OK, strangely enough).

(i) are there known problems or inconsistencies caused by this kind of mess?

(ii) given a JAR, is it possible to determine which Groovy version was it built with? The client changed the classpaths, and I can't recall which Groovy release was used to compile particular older app builds.

Thanks,
OC